| IGLib 1.7.2 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events Macros
Public Member Functions | Public Attributes | Protected Member Functions | Private Member Functions | Private Attributes | List of all members
IG.Forms.XMLTestPathForm Class Reference
Inheritance diagram for IG.Forms.XMLTestPathForm:
[legend]
Collaboration diagram for IG.Forms.XMLTestPathForm:
[legend]

## Public Member Functions
delegate void | MyDelegate ()
| XMLTestPathForm (string Path)
| XMLTestPathForm ()

## Public Attributes
MyDelegate | CloseDelegate = null

## Protected Member Functions
override void | Dispose (bool disposing)
| Clean up any resources being used. More...

## Private Member Functions
void | InitializeComponent ()
| Required method for Designer support - do not modify the contents of this method with the code editor. More...
void | XMLTestPathBas (string Path)
void | XMLTestPath_Load (object sender, EventArgs e)
void | btnClose_Click (object sender, EventArgs e)
| close the consform, not the application More...
void | XMLTestPath_Closing (object sender, FormClosingEventArgs e)

## Private Attributes
GroupBox | groupBoxButtons
System.ComponentModel.IContainer | components = null
| Required designer variable. More...
System.Windows.Forms.GroupBox | gbxExpression
System.Windows.Forms.Button | btnTest
System.Windows.Forms.GroupBox | gbxResults
System.Windows.Forms.RichTextBox | rtbResults
System.Windows.Forms.Button | btnClose
System.Windows.Forms.RadioButton | optOuterXml
System.Windows.Forms.RadioButton | optInnerXml
System.Windows.Forms.RadioButton | optValueOnly
System.ComponentModel.ComponentResourceManager | res = new System.ComponentModel.ComponentResourceManager(typeof(XMLTestPathForm))

## Constructor & Destructor Documentation

IG.Forms.XMLTestPathForm.XMLTestPathForm | ( | string | Path | ) |
| inline

IG.Forms.XMLTestPathForm.XMLTestPathForm | ( |  | ) |
| inline

## Member Function Documentation

delegate void IG.Forms.XMLTestPathForm.MyDelegate | ( |  | ) |

Referenced by IG.Forms.XmlTreeViewControl.MenuTools_TestXPath_Click(), and IG.Forms.XMLTreeViewFormOld_Keep_Some_time.MenuTools_TestXPath_Click().

override void IG.Forms.XMLTestPathForm.Dispose | ( | bool | disposing | ) |
| inline protected

Clean up any resources being used.

Parameters

  disposing | true if managed resources should be disposed; otherwise, false.

void IG.Forms.XMLTestPathForm.InitializeComponent | ( |  | ) |
| inline private

Required method for Designer support - do not modify the contents of this method with the code editor.

void IG.Forms.XMLTestPathForm.XMLTestPathBas | ( | string | Path | ) |
| inline private

void IG.Forms.XMLTestPathForm.XMLTestPath_Load | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.XMLTestPathForm.btnClose_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

close the consform, not the application

Parameters

  sender |
  e |

void IG.Forms.XMLTestPathForm.XMLTestPath_Closing | ( | object | sender,
|  | FormClosingEventArgs | e
| ) |  |
| inline private

## Member Data Documentation

MyDelegate IG.Forms.XMLTestPathForm.CloseDelegate = null

Referenced by IG.Forms.XmlTreeViewControl.MenuTools_TestXPath_Click(), and IG.Forms.XMLTreeViewFormOld_Keep_Some_time.MenuTools_TestXPath_Click().

GroupBox IG.Forms.XMLTestPathForm.groupBoxButtons
| private

System.ComponentModel.IContainer IG.Forms.XMLTestPathForm.components = null
| private

Required designer variable.

System.Windows.Forms.GroupBox IG.Forms.XMLTestPathForm.gbxExpression
| private

System.Windows.Forms.Button IG.Forms.XMLTestPathForm.btnTest
| private

System.Windows.Forms.GroupBox IG.Forms.XMLTestPathForm.gbxResults
| private

System.Windows.Forms.RichTextBox IG.Forms.XMLTestPathForm.rtbResults
| private

System.Windows.Forms.Button IG.Forms.XMLTestPathForm.btnClose
| private

System.Windows.Forms.RadioButton IG.Forms.XMLTestPathForm.optOuterXml
| private

System.Windows.Forms.RadioButton IG.Forms.XMLTestPathForm.optInnerXml
| private

System.Windows.Forms.RadioButton IG.Forms.XMLTestPathForm.optValueOnly
| private

System.ComponentModel.ComponentResourceManager IG.Forms.XMLTestPathForm.res = new System.ComponentModel.ComponentResourceManager(typeof(XMLTestPathForm))
| private

The documentation for this class was generated from the following file:

- igforms/Basic/XMLTestPathForm.cs